## Version check and feature tests Version check and feature tests |

## Functions

#define | LIBRSVG_CHECK_VERSION()
#define | LIBRSVG_CHECK_FEATURE()

## Types and Values

#define | LIBRSVG_MAJOR_VERSION
#define | LIBRSVG_MINOR_VERSION
#define | LIBRSVG_MICRO_VERSION
#define | LIBRSVG_VERSION
#define | LIBRSVG_HAVE_SVGZ
#define | LIBRSVG_HAVE_CSS
extern const guint | librsvg_major_version
extern const guint | librsvg_minor_version
extern const guint | librsvg_micro_version

## Description

## Functions

### LIBRSVG_CHECK_VERSION()

    #define             LIBRSVG_CHECK_VERSION(major,minor,micro)

### LIBRSVG_CHECK_FEATURE()

    #define LIBRSVG_CHECK_FEATURE(FEATURE) (defined(LIBRSVG_HAVE_##FEATURE) && LIBRSVG_HAVE_##FEATURE)

## Types and Values

### LIBRSVG_MAJOR_VERSION

    #define LIBRSVG_MAJOR_VERSION (2)

### LIBRSVG_MINOR_VERSION

    #define LIBRSVG_MINOR_VERSION (46)

### LIBRSVG_MICRO_VERSION

    #define LIBRSVG_MICRO_VERSION (0)

### LIBRSVG_VERSION

    #define LIBRSVG_VERSION "2.46.0"

### LIBRSVG_HAVE_SVGZ

    #define LIBRSVG_HAVE_SVGZ  (TRUE)

### LIBRSVG_HAVE_CSS

    #define LIBRSVG_HAVE_CSS   (TRUE)

### librsvg_major_version

    extern const guint librsvg_major_version;

Major version of the library. For example, for version 2.3.4, the major version will be 2.

### librsvg_minor_version

    extern const guint librsvg_minor_version;

Minor version of the library. For example, for version 2.3.4, the minor version will be 3.

### librsvg_micro_version

    extern const guint librsvg_micro_version;

Micro version of the library. For example, for version 2.3.4, the micro version will be 4.